import TheSticky from '@/components/the-sticky'
import { defineComponent } from 'vue'
import styles from './index.module.less'
import ColHeader from '@/components/col-header'
import bgImg from '../images/bg-image.png'

export default defineComponent({
  name: 'ranking-list',
  setup() {
    return () => (
      <div class={styles.activationCode}>
        <div class={styles.sticky}>
          <TheSticky position="top">
            <ColHeader
              background="transparent"
              isFixed={false}
              border={false}
              title=" "
              color="#131415"
            />

            {/* <van-tabs v-model:active="active">
              <van-tab title="标签 1">内容 1</van-tab>
              <van-tab title="标签 2" disabled>
                内容 2
              </van-tab>
              <van-tab title="标签 3">内容 3</van-tab>
            </van-tabs> */}
          </TheSticky>
          <img class={styles.bgImg} src={bgImg} />
        </div>
      </div>
    )
  }
})
